import 'package:flutter_test/flutter_test.dart';
import 'package:quickcapture/quickcapture.dart';
import 'package:quickcapture/quickcapture_platform_interface.dart';
import 'package:quickcapture/quickcapture_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockQuickcapturePlatform
    with MockPlatformInterfaceMixin
    implements QuickcapturePlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');

  @override
  Future<String?> startCapture() => throw UnimplementedError();

  @override
  Future<String?> initialize() => throw UnimplementedError();
}

void main() {
  final QuickcapturePlatform initialPlatform = QuickcapturePlatform.instance;

  test('$MethodChannelQuickcapture is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelQuickcapture>());
  });

  test('getPlatformVersion', () async {
    Quickcapture quickcapturePlugin = Quickcapture();
    MockQuickcapturePlatform fakePlatform = MockQuickcapturePlatform();
    QuickcapturePlatform.instance = fakePlatform;

    expect(await quickcapturePlugin.getPlatformVersion(), '42');
  });
}
